# Class Quotas

java.lang.Object
org.apache.zookeeper.Quotas

public class Quotas extends Object
this class manages quotas and has many other utils for quota

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`limitNode`
the limit node that has the limit of a subtree
`static final String`
`procZookeeper`
the zookeeper nodes that acts as the management and status node
`static final String`
`quotaZookeeper`
the zookeeper quota node that acts as the quota management node for zookeeper
`static final String`
`statNode`
the stat node that monitors the limit of a subtree.

## Constructor Summary

Constructors
Constructor
Description
`Quotas()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`limitPath(String path)`
return the limit quota path associated with this prefix
`static String`
`quotaPath(String path)`
return the quota path associated with this prefix
`static String`
`statPath(String path)`
return the stat quota path associated with this prefix.
`static String`
`trimQuotaPath(String quotaPath)`
return the real path associated with this quotaPath.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### procZookeeper

public static final String procZookeeper
the zookeeper nodes that acts as the management and status node

See Also:
  - Constant Field Values

### quotaZookeeper

public static final String quotaZookeeper
the zookeeper quota node that acts as the quota management node for zookeeper

See Also:
  - Constant Field Values

### limitNode

public static final String limitNode
the limit node that has the limit of a subtree

See Also:
  - Constant Field Values

### statNode

public static final String statNode
the stat node that monitors the limit of a subtree.

See Also:
  - Constant Field Values

## Constructor Details

### Quotas

public Quotas()

## Method Details

### quotaPath

public static String quotaPath(String path)
return the quota path associated with this prefix

Parameters:
  `path` - the actual path in zookeeper.
Returns:
  the quota path

### limitPath

public static String limitPath(String path)
return the limit quota path associated with this prefix

Parameters:
  `path` - the actual path in zookeeper.
Returns:
  the limit quota path

### statPath

public static String statPath(String path)
return the stat quota path associated with this prefix.

Parameters:
  `path` - the actual path in zookeeper
Returns:
  the stat quota path

### trimQuotaPath

public static String trimQuotaPath(String quotaPath)
return the real path associated with this quotaPath.

Parameters:
  `quotaPath` - the quotaPath which's started with /zookeeper/quota
Returns:
  the real path associated with this quotaPath.